function Schlingerdaempfung_S44_P
%function Schlingerdaempfung_S44_P
%F  -   Rckstellkraft        / reset force         // [N]
%l  -   Pendellnge           / pendulum: length    // [m]
%J  -   Massentrgheitsmoment / inertia             // [kgm^2]
%m  -   Pendelmasse           / pendulum: mass      // [kg]
%g  -   Erdbeschleunigung     / gravity coefficient // [m/s^2]
%a  -   Abstand Behltermitte zur Pendelmitte /
%                     distance: centre tank to centre pendulum // [m]
%mL0-   Anfangsmasse Behlter links  / initial mass left tank  // [kg]
%mR0-   Anfangsmasse Behlter rechts / initial mass right tank // [kg]

assignin('base','F',10);   % [N]
assignin('base','l',5);    % [m]
assignin('base','J',10);   % [kgm^2]
assignin('base','m',0.4);  % [kg]
assignin('base','g',9.81); % [m/s^2]
assignin('base','a',0.2);  % [m]
assignin('base','mL0',10); % [kg]
assignin('base','mR0',10); % [kg]

txt1='Parameter fr Bondgraph Beispiel Schlingerdaempfung (Scherf 4.4) geladen!';
txt2='Parameter loaded - bond graph example dynamic rolling absorber (Scherf 4.4)';
disp([txt1 sprintf('\n') txt2]);