function KNrMa=BGV2_CR(fh)
%Vorbereitung von "Counter Repair" fr ['X__' fh] - Zhler in BGV2_BCN
%durch Suche der hchsten Numerierung eines Konnektors K

FT00='BGV2_CR';
FT01='Cannot open file!';
FT02='Cannot close file!';
FT03='Goto block without GotoTag detected!';
FT04='Cannot detect any number!';

WT01='Found alphabetic character connectors only; number connectors not at all!';

T__0='System {';                    %Systemdefinition - Blockdefaults ausschlieen
T_10='BlockType';                   %Unterscheidung 'Goto'-block/GotoTag-String(from)
T_11='Goto';                        %Goto Block suchen
T_12='GotoTag';                     %Tag eines Goto Blocks finden
T_13='}';                           %Ende einer Blockdefinition

ANFUE=34;

KNV=0;                              %Anfangswert fr K-Nummern-Vektor
Knr=0;                              %Logischer Anfangswert fr Suche
%************* wegen Reihenfolgeproblem CR <---> BPS *************
MNV=0;                              %Merkername nicht in Verwendung ?
eval(['global X__X__MERKER']);      %GlobalZugriff ermglichen
if   ~isempty(who('global',['X__X__MERKER'])), MNV=1; %MerkerName schon verwendet!
     MERKER=X__X__MERKER;           %Inhalt zwischenspeichern
end
X__X__MERKER=1234567890;            %BGV2_CR in Ausfhrung --> BGV2_BPS sperren
save_system                         %ABGLEICH: mdl-File u. Projektfenster
if   MNV,  X__X__MERKER=MERKER;     %Merkerbelegung Rckspeichern
else clear global X__X__MERKER;     %Merker lschen
end
%************************** ENDE *********************************
fid=fopen([fh '.mdl'],'rt');        %ffnen eines Files zum Lesen
if fid==-1 errordlg([fh 10 10 FT01],FT00); end %fid=-1 wenn nicht existent
line=fgetl(fid);                    %Einlesen ohne Zeilenwechselkode
while isempty(findstr(line,T__0))   %Voreinstellungen berspringen
      line=fgetl(fid);              %Anfang Systemdefinition suchen
end
while feof(fid)==0
      line=fgetl(fid);                   %Einlesen ohne Zeilenwechselkode
      if  findstr(line,T_11)&findstr(line,T_10)%"Goto" Block-Def. finden ohne LZ-Def.
          line=fgetl(fid);               %Einlesen ohne Zeilenwechselkode
          KT=0;                          %Kein Tag gefunden
          while isempty(findstr(line,T_12))&~KT %"GotoTag" des Goto Blocks finden
                if findstr(line,T_13), KT=1; end %Absicherung BlockDefinitionsEnde
                line=fgetl(fid);         %Einlesen ohne Zeilenwechselkode
          end
          if    KT, errordlg([fh 10 10 FT03],FT00); KT=0;%"}" vor GotoTag aufgetreten
          else  x=find(line==ANFUE);     %Zeichenposition von " suchen, z.B. "K123"
                i=line(x(1)+2)+0;        %Dezimalwert des 2. Zeichens berechnen
                if   ( line(x(1)+1)=='K' & i>47 & i<58 ) %Nummer berechenbar (0...9)?
                     K=str2num(line(x(1)+2:x(2)-1));     %K-Nummer ausrechnen
                     if   ~isempty(K), KNV=union(KNV,K); %Zahl Hinzufgen
                     else              Knr=1; %Nicht leerer Konnektor mit Buchstaben
                     end
                else if ~(line(x(1)+2)==ANFUE), Knr=1; end %kein leerer String "K"
                end
          end
      end 
end
status=fclose(fid);                               %Schlieen eines Files
if status==-1 errordlg([fh 10 10 FT02],FT00); end %Status=0 i.O.; =-1 Fehler
KNrMa=max(KNV);
if KNrMa==0                                       %Keine K-Nummer gefunden
   if   ~Knr, errordlg([fh 10 10 FT04],FT00);     %Nur K leer gefunden - kein String
   else       warndlg([fh 10 10 WT01],FT00);      %Sonderfall: Nur Buchstaben gef.
              KNrMa=1;                            %Anfangswert fr Nummern setzen
   end
end
