function BGV2_GYT
%Erweiterungsbibliothek Bondgraph V.2 // GY - Element: Typ-Erkennung
%                                        uere- / Innere Kausalitt
%Der entsprechende Kode wird in der Blockinitialisierung gesetzt

h=gcb; TYW=get_param(h,'TY');
blks=find_system(h,'FollowLinks','on','LookUnderMasks','all','BlockType','Inport');
if findstr(TYW,'Outside')                   %Aen kausal: E=Flow/A=Effort
   N=find_system(blks,'name','F');          %Eingangsname?
   if isempty(N)
      set_param([h '/F'],'name','U');       %umspeichern
      set_param([h '/E'],'name','F');       %Eingangsname
      set_param([h '/U'],'name','E');       %Ausgangsname  
   end
else                                        %Innen kausal: E=Effort/A=Flow
   N=find_system(blks,'name','E');          %Eingangsname?
   if isempty(N)
      set_param([h '/E'],'name','U');       %umspeichern
      set_param([h '/F'],'name','E');       %Eingangsname
      set_param([h '/U'],'name','F');       %Ausgangsname  
   end
end
