function BGV2_ICD
%Wahlweise Freigabe des Displacement-Ausgangs fr I/C-Speicher

h=gcb;
if strcmp(get_param(h,'MO'),'on') %Ausgang einrichten
   replace_block(h,'name','MD','built-in/Outport','noprompt') %Ausgang freigeben
   set_param([h '/MD'],'name','M');                  %Name: Momentum
   MV=get_param(h,'MaskVisibilities');
   MV{7}='off';                                      %Sperre Displacement-Auswahl
   set_param(h,'MaskVisibilities',MV);
else                              %Ausgang entfernen
   replace_block(h,'name','M','Simulink/Sinks/Terminator','noprompt') %Ausgang sperren
   set_param([h '/M'],'name','MD');                  %Name rcksetzen
   MV=get_param(h,'MaskVisibilities');
   MV{7}='on';                                       %Freigabe Displacement-Auswahl
   set_param(h,'MaskVisibilities',MV);
end
