function BGV2_ICN
% ICF-Element : Umschaltung linear / nicht-linear

h=gcb;
if strcmp(get_param(h,'NL'),'on')      %Verstrkung nicht-linear ?
   blks=find_system(h,'FollowLinks','on','LookUnderMasks','all',...
                      'BlockType','Inport'); %ntig bei ffnung des Maskenmens
   if isempty(find_system(blks,'name','NL')) %weitere InportBlcke "Ix" beachten
      replace_block(h,'FollowLinks','on','name','NL','built-in/Inport','noprompt')
      delete_line(h,'MPS/1','Sum2/1');       %2. NL-Mult. nach Integration einfgen
      add_block('built-in/Inport',[h '/NL2']);
      add_block([h '/Diag(u)'],[h '/Diag2']);
      add_block([h '/G'],[h '/G2']);
      add_line(h,'NL2/1','G2/1');
      add_line(h,'MPS/1','Diag2/1');
      add_line(h,'Diag2/1','G2/2');
      add_line(h,'G2/1','Sum2/1')
   end
else                                   %Verstrkung linear !
   blks=find_system(h,'FollowLinks','on','LookUnderMasks','all',...
                      'BlockType','Constant'); %ntig bei ffnung des Maskenmens
   if isempty(find_system(blks,'name','NL')) %weiteren ConstantBlock "K" beachten
      replace_block(h,'FollowLinks','on','name','NL','built-in/Constant','noprompt')
      set_param([h '/NL'],'Value','VA')
      delete_line(h,'Diag2/1','G2/2');      %2. NL-Mult. nach Integration entfernen
      delete_line(h,'MPS/1','Diag2/1');
      delete_line(h,'NL2/1','G2/1');
      delete_line(h,'G2/1','Sum2/1')
      delete_block([h '/Diag2']);
      delete_block([h '/G2']);
      delete_block([h '/NL2']);
      add_line(h,'MPS/1','Sum2/1');
   end
end
