function BGV2_RFN
% RF-Element : Umschaltung linear / nicht-linear

h=gcb;
if strcmp(get_param(h,'NL'),'on')      %Verstrkung nicht-linear ?
   blks=find_system(h,'FollowLinks','on','LookUnderMasks','all',...
                      'BlockType','Inport'); %ntig bei ffnung des Maskenmens
   if isempty(find_system(blks,'name','NL')) %weitere InportBlcke "Ix" beachten
      replace_block(h,'FollowLinks','on','name','NL','built-in/Inport','noprompt')
   end
else                                   %Verstrkung linear !
   blks=find_system(h,'FollowLinks','on','LookUnderMasks','all',...
                      'BlockType','Constant'); %ntig bei ffnung des Maskenmens
   if isempty(find_system(blks,'name','NL')) %weiteren ConstantBlock "K" beachten
      replace_block(h,'FollowLinks','on','name','NL','built-in/Constant','noprompt')
      set_param([h '/NL'],'Value','VA')
   end
end
