function BGV2_RNL
% RG-Element : Umschaltung linear / nicht-linear

h=gcb;
if findstr(get_param(h,'TY'),'R-') BG_Ein='F'; else BG_Ein='E'; end
if strcmp(get_param(h,'NL'),'on')      %Verstrkung nicht-linear ?
   blks=find_system(h,'FollowLinks','on','LookUnderMasks','all',...
                    'BlockType','Product'); %ntig bei ffnung des Maskenmens
   if isempty(find_system(blks,'name','G')) %zweiten ProduktBlock "P" beachten
      delete_line(h,[BG_Ein '/1'],'G/1') %ntig wegen untersch. Anzahl Eingnge
      replace_block(h,'FollowLinks','on','name','G','built-in/Product','noprompt')
      set_param([h '/G'],'Multiplication','Matrix(*)')
      add_line(h,[BG_Ein '/1'],'G/2')
      add_block('built-in/Inport',[h '/NL'])
      add_line(h,'NL/1','G/1')
   end
else                                   %Verstrkung linear !
   blks=find_system(h,'FollowLinks','on','LookUnderMasks','all','BlockType','Gain'); 
   if isempty(blks)                    %ntig bei ffnung des Maskenmens
      delete_line(h,'NL/1','G/1')
      delete_block([h '/NL'])
      delete_line(h,[BG_Ein '/1'],'G/2') %ntig wegen untersch. Anzahl Eingnge
      replace_block(h,'FollowLinks','on','name','G','built-in/Gain','noprompt')
      set_param([h '/G'],'Gain','VA')
      set_param([h '/G'],'Multiplication','Matrix(K*u) (u vector)')
      add_line(h,[BG_Ein '/1'],'G/1')
   end
end
