function BGV2_RT
%R-Element: Umschaltung zwischen R-Type und G-Type
%Der entsprechende Kode wird in der Block-Initialisierung [BGV2_Init(20)] gesetzt

h=gcb;
TYW=get_param(h,'TY');
if findstr(TYW,'R-') EF=1; else EF=0; end; %Alternative: Flow
blks=find_system(h,'FollowLinks','on','LookUnderMasks','all','BlockType','Inport');
if    EF  N=find_system(blks,'name','F');
          if isempty(N) set_param([h '/E'],'name','F');
          end
else      N=find_system(blks,'name','E'); 
          if isempty(N) set_param([h '/F'],'name','E');
          end;
end
