function BGV2_TFV
%TF / GY : wenn NL "off"
%        ---> Wert VA fuer Multiplikator mode-unabhaengig transponieren (vgl. POG)
%             kausalitaets-abhaengig auf GL ("==default") oder GR anwenden      
%Diese Funktion wird von TFN aufgerufen, wenn NL ---> L Umschaltung erfolgt.

h=gcb;
if strcmp(get_param(h,'NL'),'off') %linear ?
   TYW=get_param(h,'TY');          %Kausalitaets-Typ fuer GY bzw. TF auslesen
   if   isempty(findstr(TYW,'Inside'))&&isempty(findstr(TYW,'Right'))
        GL=1;                                       %Voreinstellung rueckwaerts
   else GL=0;                                       %L/R=Richtung nicht Position
   end
   if   GL                                    %Outside bzw. Left == default !!!
        set_param([h '/GL'],'Gain','VA''');   %rueckwaerts transponieren!
        set_param([h '/GR'],'Gain','VA');     %vorwaerts nicht
   else set_param([h '/GL'],'Gain','VA');     %rueckwaerts nicht
        set_param([h '/GR'],'Gain','VA''');   %vorwaerts transponieren!
   end
end
