function BGV2_BCN
%Callback - Block CopyFcn und NameChangeFcn - rekursiv fr Subsysteme

CloseFcnName='BGV2_FCF';                                  % Hier nderungen vornehmen
FPL_Name='BGV2_FPL';                                      % Hier nderungen eintragen
h=gcb;
fh=bdroot(h);                                             %gcs: nur eine Ebene hoch!!

FT00='BGV2_BCN';
FT01='Fatal error - Destroyed counter detected: Please close and restart.';
FT02='Fatal error - Connection mismanagement detected.';
FT03='Fatal error - False block type code detected.';

WT0a='You have changed the default value of ';
WT0b=' in Simulation/ConfigurationParameters/Select:Diagnostics';
WT01=[ WT0a '"Algebraic loop"' WT0b ];
WT02=[ WT0a '"Automatic solver parameter selection"' WT0b ];
WT03=[ WT0a '"Minimize algebraic loop"' WT0b ];
WT04='Fatal error: Empty BG-Block-Tag detected. Automatic repair was forced!';
WT05='Fatal error: Empty BG-Counter detected. Automatic repair was executed!';

if   isempty(who('global',['X__' fh]))     %Neustart / Filenamensnderung / Fehler?
     x=get_param(fh,'CloseFcn');           %Hat File eine CloseFcn Eintragung?
     if   isempty(x)                       %NEIN: --> Neustart
          set_param(fh,'CloseFcn',CloseFcnName); %File: Eintragung CloseFcn Name
          set_param(fh,'PostLoadFcn',FPL_Name);  %File: Eintragung PostLoadFcn Name
          x=get_param(h,'Tag');            %hier Block-Handle
          i=str2num(x);                    %Zhler auspacken
          eval(['global X__' fh]);         %Zhler global definieren
          eval(['X__' fh '=i;']);          %Zhler setzen - nur getrennt mglich!!
          set_param(fh,'Tag',fh);          %Speicher fr FileNamen - Neueintrag
          set_param(fh,'AlgebraicLoopMsg','none'); %Algebraische Schleifen
          set_param(fh,'SolverPrmCheckMsg','none');%Autom. Solver Parameter Selection
          set_param(fh,'ArtificialAlgebraicLoopMsg','none'); %Minim. algeb. Schleifen
     else                                  %JA: CloseFcn-Parameter diente als Merker
          CeAr=who('global','X__*');       %gibt es globale Variablen X__... ?
          s=get_param(fh,'Tag');           %FileNamenSpeicher: mit "altem" FileNamen!
          z_alt=['X__' s];                 %alter Zhlername
          F=ismember(z_alt,CeAr);     %FileName gendert/alter Zhler existiert noch?
          if F                 %vorhandener ZhlerName identifiziert alten FileNamen!
             eval(['global ' z_alt]);      %Zugriff auf alten Zhler ermglichen
             i=eval(z_alt);                %Inhalt des alten vorhandenen Zhlers
             eval(['global X__' fh]);      %Neuen ZhlerNamen global definieren
             eval(['X__' fh '=i;']);       %Zhler setzen - nur getrennt mglich!!
             eval(['clear global ' z_alt]) %Alten Zhler lschen
             set_param(fh,'Tag',fh);       %Speicher fr FileNamen - Aktualisieren
          else
             errordlg([h 10 10 FT01],FT00); return; %Nutzer hat Zhler gelscht
          end  
     end
else eval(['global X__' fh]);              %GlobalZugriff ermglichen - Normalbetrieb
     xx=get_param(fh,'AlgebraicLoopMsg');  %Algebraische Schleifen
     if isempty(findstr(xx,'none')), warndlg(WT01,FT00); end %Vernderte Einstellung?
     xx=get_param(fh,'SolverPrmCheckMsg'); %Autom. Solver Parameter Selection
     if isempty(findstr(xx,'none')), warndlg(WT02,FT00); end %Vernderte Einstellung?
     xx=get_param(fh,'ArtificialAlgebraicLoopMsg'); %Minimieren algebr. Schleifen
     if isempty(findstr(xx,'none')), warndlg(WT03,FT00); end %Vernderte Einstellung?
end
                                           %Normalbetrieb = Zhler schon im workspace 
eval(['X__' fh '= X__' fh '+1;']);         %Zhler erhhen
eval(['y = X__' fh ';']);                  %weitere Zhlerzugriffe ohne eval
if  isempty(y), warndlg([h 10 10 WT05],FT00); %GlobZae mu 'Zahl' >0 sein
    y=BGV2_CR(fh)+1;                       %Zhlerkopie mit K_max+1 reparieren
    eval(['X__' fh ' = y;']);              %globalen Wert reparieren
end
x=get_param(h,'Tag');                      %Normalbetrieb:
if  isempty(x), warndlg([h 10 10 WT04],FT00); %BlockTag mu 'Zahl' >0 sein
    x='0';                                 %Prf-Ersatzstring; dann Korrektur mit y
end
i=str2num(x);                              %Zhlervorzustand im jeweiligen Block
UDI=get_param(h,'UserData');               %Flchtiger Merker (Block-File-Zuordnung)
UDS=get_param(fh,'created');               %Zeitstempel bei Anlegen des Files
if   findstr(UDS,UDI),            UD=1;    %gleich
else set_param(h,'UserData',UDS); UD=0;    %ungleich ---> kopiert aus anderem File!
end
if i>=y&UD, errordlg([h 10 10 FT02],FT00); return; end%BlockTag darf nur kleiner sein
x=num2str(y);                              %String erzeugen
set_param(h,'Tag',x);                      %Block: Rckspeichern aktueller Zhler
                                           %BlockTyp ermitteln
t=get_param([h '/K'],'Value');             %Wert als String geladen
t=fix(str2num(t)/10);                      %Nur Typ, nicht Einstellung, interessiert 
switch t
  case {1,2,9}                             %statt: 10, 20, 90
       set_param([h '/I'],'GotoTag',['K' x]);
  case {3}                                 %statt: 30
       Tag=get_param(h,'AttributesFormatString'); %Merkerabfrage:'E' oder 'F' setzen?
                                    %wenn gesetzt, dann existiert ein Input-Block 'E'
       if isempty(Tag), Name='E'; else Name='F'; end%Hier Alt. KonnektorBlockName lad
       set_param([h '/' Name],'GotoTag',['K' x]); %Name ist schon String
  case {4,5}                               %statt: 40, 50
       set_param([h '/I1'],'GotoTag',['K' x]);
       eval(['X__' fh '= X__' fh '+1;']);  %Zhler erhhen
       y=y+1;                              %hier eval nicht notwendig, y exist. schon
       x=num2str(y);                       %String erzeugen
       set_param(h,'Tag',x);               %Block: Rckspeichern aktueller Zhler
       set_param([h '/I2'],'GotoTag',['K' x]);
  case {6}                                 %Nicht nur zur LinkInaktivierung
       set_param([h '/K1'],'GotoTag',['K' x]);
       x_str=get_param([h '/S'],'Inputs');     %Ohne {} !!! - Summe: '+/-' String
       ZU=length(findstr(x_str,'+'));          %ZU-Port-Anzahl
       for i=2:ZU                              %mehrere Knoteneingnge eher selten
           j=num2str(i);                       %String erzeugen
           eval(['X__' fh '= X__' fh '+1;']);  %Zhler erhhen
           y=y+1;                              %kein eval notwendig, y exist. schon
           x=num2str(y);                       %String erzeugen
           set_param(h,'Tag',x);               %Block: Rckspeichern aktueller Zhler
           set_param([h '/K' j],'GotoTag',['K' x]);
       end
  case {7,8}                                   %statt 70, 80
       set_param([h '/I1'],'GotoTag',['K' x]);
       x_str=get_param([h '/AV'],'Outputs');   %String Ausgangsanzahl
       AB=length(str2num(x_str));              %Port-Anz.: V.701 / V.700 ohne length
       for i=2:AB                              %Schleifenzhler
           j=num2str(i);                       %String erzeugen
           eval(['X__' fh '= X__' fh '+1;']);  %Zhler erhhen
           y=y+1;                              %kein eval notwendig, y exist. schon
           x=num2str(y);                       %String erzeugen
           set_param(h,'Tag',x);               %Block: Rckspeichern aktueller Zhler
           set_param([h '/I' j],'GotoTag',['K' x]);
       end
    otherwise, errordlg([h 10 10 FT03],FT00); return;
end
set_param(h,'LinkStatus','inactive');          %Bisher notwendig
