function BGV2_EA_PA(ein,aus,Kode)
%Freigabe/Sperre von Parametern zur Vernderung der Blockfunktion
%Sichtbarkeit der Parameter bei Sperre
%                     "Block parameter tuning"
h=gcb;
ME=get_param(h,'MaskEnables');
if strcmp(get_param(h,'tunable'),'on')
   MV=ein;                           % von auen !
   if Kode~=70&Kode~=80
      ME{3}='on';                       %Typ-Auswahl an 3. Stelle
      if     Kode==10|Kode==30 
             ME{5}='on';                %Betriebsart an 5. Stelle
             if Kode==10
                if   strcmp(get_param(h,'Ex'),'on') %Extern/Intern ?
                     MV{1}='off'; MV{5}='off'; %Wert + Mode
                else MV{1}='on';  MV{5}='on'; end
                ME{7}='on';             %IC-Block Steuerung
             else                       %ICS==30
                if   strcmp(get_param(h,'RB'),'on'),
                     for i=9:12 MV{i}='on'; ME{i}='on'; end %Sonderfall RB zuschalten
                end
                if   strcmp(get_param(h,'AWS'),'on'),
                                MV{14}='on';ME{14}='on';end %Int fr E/F Anfangswert
             end
      elseif Kode==20
             if   strcmp(get_param(h,'NL'),'on') 
                  MV{1}='off';
             else MV{1}='on';  end      %Nichtlinear ?
             ME{5}='on';                %Betriebsart an 5. Stelle
      elseif Kode==40|Kode==50
             if   strcmp(get_param(h,'NL'),'on') 
                  MV{1}='off';
             else MV{1}='on';  end      %Nichtlinear ?
             ME{4}='on';                %Betriebsart an 4. Stelle
      elseif Kode==60
             ME{2}='on';                %Betriebsart an 2. Stelle
             ME{4}='on'; ME{5}='on';
             ME{6}='on';                %BI
             if   strcmp(get_param(h,'UM'),'on'), MV{6}='on';
             else                                 MV{6}='off'; end
      end
   else                                 %Felder (RF, ICF)
      if strcmp(get_param(h,'NL'),'on') 
         MV{1}='off'; else MV{1}='on'; end            %Nichtlinear? --> Verst. weg!
      if Kode==70, Del=0; elseif Kode==80, Del=1; end %RF mit "common gain" zus.
      ME{4-Del}='on';                                 %Typ-Auswahl an (4-Del). Stelle
      if   isempty(findstr(get_param(h,'TY'),'Mixed'))%NUR 1 DIM-PAR freigeben
           ME{6-Del}='on'; MV{6-Del}='on';  MV{7-Del}='off';%Betriebsart an 6./7. St.
      else ME{7-Del}='on'; MV{6-Del}='off'; MV{7-Del}='on'; %6/7 bzw. 5/6 unsichtbar
      end
   end
else
   MV=aus;                           % von auen !
   if Kode~=70&Kode~=80
      ME{3}='off';                      %Typ-Auswahl an 3. Stelle
      if     Kode==10|Kode==30
             ME{5}='off';               %Betriebsart an 5. Stelle
             if Kode==10
                if   strcmp(get_param(h,'Ex'),'on') %Extern/Intern ?
                     MV{1}='off'; MV{5}='off'; %Wert + Mode
                else MV{1}='on';  MV{5}='on'; end
                ME{7}='off';            %IC-Block Steuerung
             else
                if   strcmp(get_param(h,'RB'),'on')
                     for i=9:12 MV{i}='on'; ME{i}='off'; end%Sonderfall RB zuschalten
                end
                if   strcmp(get_param(h,'AWS'),'on'),
                                MV{14}='on';ME{14}='off';end %Int fr E/F Anfangswert
             end
      elseif Kode==20
             if   strcmp(get_param(h,'NL'),'on') 
                  MV{1}='off';
             else MV{1}='on'; end       %Nichtlinear ?
             ME{5}='off';               %Betriebsart an 5. Stelle
      elseif Kode==40|Kode==50
             if   strcmp(get_param(h,'NL'),'on') 
                  MV{1}='off';
             else MV{1}='on'; end       %Nichtlinear ?
             ME{4}='off';               %Betriebsart an 4. Stelle
      elseif Kode==60
             ME{2}='off';               %Betriebsart an 2. Stelle
             ME{4}='off'; ME{5}='off';
             if   strcmp(get_param(h,'UM'),'on'), ME{6}='off'; MV{6}='on';
             else                                 ME{6}='on';  MV{6}='off'; end
      end
   else                                 %Felder (RF, ICF)
      if strcmp(get_param(h,'NL'),'on') 
         MV{1}='off'; else MV{1}='on'; end            %Nichtlinear? --> Verst. weg!
      if Kode==70, Del=0; elseif Kode==80, Del=1; end %RF mit "common gain" zus.
      ME{4-Del}='off';                                %Typ-Auswahl an (4-del). Stelle
      if   isempty(findstr(get_param(h,'TY'),'Mixed'))%NUR 1 DIM-PAR freigeben
           ME{6-Del}='off'; MV{6-Del}='on';  MV{7-Del}='off';%Betriebsart an St. 6/7
      else ME{7-Del}='off'; MV{6-Del}='off'; MV{7-Del}='on'; %6/7 bzw. 5/6 unsichtbar
      end
   end
end
set_param(h,'MaskVisibilities',MV);  %Sichtbarkeit  (Weg-Schaltung)
set_param(h,'MaskEnables',ME);       %Verfgbarkeit (Grau-Schaltung)
