function BGV2_TFI
%TF / GY : Invertierung des "Ausgangs" wahlweise
%d.h. unsymmetrische Multiplikation mit -1
%Anm.: durch neg. Param. und TFI auch unsym. Eingangsinvertierung mglich

FT01='False Type-Code detected';

h=gcb;
TY=get_param(h,'TY');                   %Name des Out-Ports feststellen
if     findstr(TY,'Left')    BG_Aus='F2'; elseif findstr(TY,'Right')  BG_Aus='E2';
elseif findstr(TY,'Outside') BG_Aus='E';  elseif findstr(TY,'Inside') BG_Aus='F';
else   error(FT01); end

if   strcmp(get_param(h,'VN'),'on')     %Vorzeichen fr sichtbare Verbindung negativ?
     blks=find_system(h,'FollowLinks','on','LookUnderMasks','all','Name','VZN');
     if  isempty(blks)                  %VZN einfgen --- TFN davon unbeeinflut!
         delete_line(h,'GR/1',[BG_Aus '/1']);
         add_block('built-in/Gain',[h '/VZN']);
         set_param([h '/VZN'],'Gain','-1');
         add_line(h,'GR/1','VZN/1');
         add_line(h,'VZN/1',[BG_Aus '/1']);
     end
else                                    %Standard: positiv, d.h. direkte Verbindung!
     blks=find_system(h,'FollowLinks','on','LookUnderMasks','all','Name','VZN');
     if  ~isempty(blks)                 %VZN lschen --- TFN davon unbeeinflut!
         delete_line(h,'GR/1','VZN/1');
         delete_line(h,'VZN/1',[BG_Aus '/1']);
         delete_block([h '/VZN']);
         add_line(h,'GR/1',[BG_Aus '/1']);
     end
end