function BGV2_TFT
%Erweiterungsbibliothek Bondgraph V.2 // TF - Element: Typ-Erkennung
%                                        Links- / Rechtsseitige Kausalitt
%Der entsprechende Kode wird in der Blockinitialisierung gesetzt

h=gcb; TYW=get_param(h,'TY');
blks=find_system(h,'FollowLinks','on','LookUnderMasks','all','BlockType','Inport');
if findstr(TYW,'Left')                      %Links kausal: E/A: Flow
   N=find_system(blks,'name','F1');         %Eingangsname?
   if isempty(N)
      set_param([h '/E1'],'name','F1');     %Eingangsname
      set_param([h '/E2'],'name','F2');     %Ausgangsname  
   end
else                                        %Rechts kausal: E/A: Effort
   N=find_system(blks,'name','E1');         %Eingangsname?
   if isempty(N)
      set_param([h '/F1'],'name','E1');     %Eingangsname
      set_param([h '/F2'],'name','E2');     %Ausgangsname  
   end
end
